org.apache.myfaces.trinidad.util

## Interface CollectionUtils.MapMutationHooks<K,V>

- Type Parameters:
    `K` - the type of the keys of the Map that MapMutationHooks are associated with
    `V` - the type of the values of the Map that MapMutationHooks are associated with
  Enclosing class:
    CollectionUtils

      public static interface CollectionUtils.MapMutationHooks<K,V>

  Interface for trapping mutations to a Map.
  See Also:
    `CollectionUtils.newMutationHookedMap(java.util.Map<K, V>, org.apache.myfaces.trinidad.util.CollectionUtils.MapMutationHooks<K, V>)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearNotify(Map<K,V> map)` Called when all entries are removed from the Map associated with the MapMutationHooks
    `void` | `removeNotify(Map<K,V> map, Object key)` Called when an entry is removed from the associated Map of the MapMutationHooks
    `void` | `writeNotify(Map<K,V> map, K key, V value)` Called when the associated Map of the MapMutationHooks is written to

- - ### Method Detail

    - #### writeNotify

          void writeNotify(Map<K,V> map,
                         K key,
                         V value)

      Called when the associated Map of the MapMutationHooks is written to
      Parameters:
        `map` - Map the write occurred on
        `key` - key of entry that has changed
        `value` - value of entry that has changed

    - #### removeNotify

          void removeNotify(Map<K,V> map,
                          Object key)

      Called when an entry is removed from the associated Map of the MapMutationHooks
      Parameters:
        `map` - Map the removal occurred on
        `key` - key of entry that has been removed

    - #### clearNotify

          void clearNotify(Map<K,V> map)

      Called when all entries are removed from the Map associated with the MapMutationHooks
      Parameters:
        `map` - Map the clear occurred on

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.